# API Reference
source: https://developer.mastercard.com/mastercard-send-funding/documentation/api-reference/index.md

### Funding {#funding}

The Funding API creates a funding transfer (Funding Transaction) to secure funds from a sending account (Funding Account) that will be sent/given to a Recipient, for example via a payment transfer. The amount debited from the Funding Account will be the amount sent/given to the Recipient.

For each funding transfer, generate a unique Transfer Reference ID (6-40 characters, alphanumeric and \* , - . _ \~ allowed) and provide it as the `transfer_reference` in the POST request. If the request is successful, the API response includes a unique system-generated Transfer ID (`id`).

If the Funding Transaction is successful, the API response (HTTP 201) `status` value is 'APPROVED'. For details on the possible status values, see [Transfer Status](https://developer.mastercard.com/mastercard-send-funding/documentation/response-error-codes/status/index.md). If the status is 'UNKNOWN', see [Transaction Responses with an 'UNKNOWN' Status](https://developer.mastercard.com/mastercard-send-funding/documentation/response-error-codes/unknown-response/index.md). The API request `decline_details` query parameter determines the type of API response when a transaction is declined, which is either:

* 201 response with `status` value as 'DECLINED', if the query parameter was set to 'true'
* 402 error with `ReasonCode` as 'DECLINE' (the default)

Error responses are also returned for API requests that fail Mastercard Send validation or transaction processing, for example, when a required field is missing or a value is incorrectly formatted; see [Error Codes](https://developer.mastercard.com/mastercard-send-funding/documentation/response-error-codes/error-codes/index.md).

You can also use the Funding API to retrieve transfer details (GET request), including its status, by either:

* Transfer Reference, using the `transfer_reference` you provided when you created the transfer
* Transfer ID, using the system-generated `id` that was returned when you created the transfer

The GET response `status` field can provide additional values than the POST response. For example, it can convey whether the funding transfer had errors ('ERROR'), was declined ('DECLINED'), or has since been reversed using the Funding Reversal API ('REVERSED').

### Funding Reversal {#funding-reversal}

The Funding Reversal API creates a Funding Reversal Transaction to reverse a funding transfer. You do this when the associated payment transfer cannot complete successfully because it is rejected or declined, and the funding reversal must be submitted within 30 minutes of the funding transfer request. Use the IDs that were returned when you created the funding transfer:

* Transfer ID from the `id` field
* Transaction ID from the `transaction_history.data.transaction[].id` field

If the Funding Reversal Transaction is successful, the API response (HTTP 200) `status` value is 'REVERSED'. If the reversal is declined, the type of API response is determined by the API request `decline_details` query parameter:

* 200 response with `status` value still 'APPROVED', if the query parameter was set to 'true'
* 402 error with `ReasonCode` as 'DECLINE' (the default)

## Environment Domains {#environment-domains}

In January 2026, we introduced the following new RNTZ (Regional Network Transit Zone) domains for this API. New customers should use these domains. Existing customers are encouraged to migrate soon.
* Sandbox
* MTF
* Production

```Sandbox
https://sandbox.api.move.mastercard.com/send/static
```

```MTF
https://sandbox.api.move.mastercard.com/send
```

```Production
https://api.move.mastercard.com/send
```

* Sandbox
* MTF
* Production

```Sandbox
https://sandbox.api.mastercard.com/send/static
```

```MTF
https://sandbox.api.mastercard.com/send
```

```Production
https://api.mastercard.com/send
```

To form the full endpoint URL, combine the appropriate domain portion (shown above) with the path portion shown by the OpenAPI specification (see below).
Note: The non-RNTZ domains will remain active for this API at this time. Any plans to decommission them will be communicated in the API release notes and here. Some parts of this documentation may still show the non-RNTZ domains and will be updated soon.

## APIs {#apis}

This API supports JSON and XML requests. In the expandable sections below, JSON example requests and responses are shown. For XML examples, see [Sample Requests and Responses](https://developer.mastercard.com/mastercard-send-funding/documentation/api-reference/index.md#sample-requests-and-responses). Use [HTTP Headers](https://developer.mastercard.com/mastercard-send-funding/documentation/api-basics/index.md#http-headers) to determine the response format. We recommend you log the Correlation ID (correlation-id) response header value for tracking purposes. When seeking support, providing the relevant Correlation ID may help resolve your inquiry more quickly.

The `partnerId` portion of the URL makes the request unique to a specific Originating Institution or Transaction Initiator:

* Sandbox API: Use any ID of valid length (32 characters), e.g. `ptnr_BEeCrYJHh2BXTXPy_PEtp-8DBOo`
* MTF and Production APIs: Use the Partner Reference ID you receive when you [register for the Mastercard Send program](https://developer.mastercard.com/mastercard-send/documentation/send-eligibility/)

For guidance on the API specification's **Execute** buttons, see [Testing](https://developer.mastercard.com/mastercard-send-funding/documentation/api-reference/index.md#testing).
Tip: Guidance for the API sections below:
The expandable API sections below are rendered from the API specification, which you can download using **Download spec**.

Each API call type is a section. Expand it to see the request parameters and example JSON body payload and/or example response for that call. There may be multiple examples, which may not show all possible fields. If so, select **All fields** to see the possible fields:

![Mastercard Send Funding example selections](https://static.developer.mastercard.com/content/mastercard-send-funding/documentation/img/example-selection.png)

To see the field descriptions, click **Model** and expand the object/array blocks to show their contents.

**Request URI** shows the call's endpoint path based on the selected environment (for example, Sandbox URL).

You can edit the example payload. Switching to the Model view will reset the payload to the default example.
The API specification identifies the required (mandatory) API fields as per Mastercard Send API validation and systems. In the expandable sections below, these fields are indicated as follows:

* REQUIRED indicates a required parameter, for example:

![Required parameter](https://static.developer.mastercard.com/content/mastercard-send-funding/documentation/img/required-param.png)

* In the **Model** section, a red asterisk \* indicates a required object/array and **required: yes** indicates a required item, for example:

![Required item example](https://static.developer.mastercard.com/content/mastercard-send-funding/documentation/img/required-item.png)

If an item is marked as required but its parent object/array is not, you only need to provide that item if you provide the parent.

The required indicator relates to general API validation. Some conditional fields might be required depending on the payment type, region, and so on. Some of the other optional fields might also be required as per program or network rules.

API Specification: `https://static.developer.mastercard.com/content/mastercard-send-funding/swagger/send-funding-api-swagger.yaml`

## Testing {#testing}

To try this API quickly, use the **Execute** buttons (in the expandable sections above) to send requests directly from your browser to the Sandbox, without needing to create a Mastercard Developers project and keys. This functionality will send the shown Request parameters and Body payload, which you can alter, and the response will appear in a **Server Response** tab.

The sample Funding POST request has a test `transfer_reference` value that should always get a success response from the Sandbox. For other `transfer_reference` values, the Sandbox detects when they are reused and will return an error response.

Similarly, the sample Funding Reversal POST request has test `transferId` and `transactionId` values that should always get a success response from the Sandbox when issued after the sample Funding POST request. For other values, the Sandbox mimics production behavior.

You can also make API calls to the Sandbox server from an API tool or your application code or the [tutorials](https://developer.mastercard.com/mastercard-send-funding/documentation/tutorials-and-guides/index.md), which involves creating a Mastercard Developers project and using the Sandbox keys to generate the required OAuth 1.0a Authorization Header.

The Sandbox server returns simulated responses. For Sandbox and MTF testing guidance, see [Testing](https://developer.mastercard.com/mastercard-send-funding/documentation/testing/index.md).

## Sample Requests and Responses {#sample-requests-and-responses}

This section presents example API messages for each type of API call. For requests messages:

* **Format:** JSON / XML
* **HTTP Version:** 1.0 / 1.1
* **HTTP Header Parameters:** see [HTTP Headers](https://developer.mastercard.com/mastercard-send-funding/documentation/api-basics/index.md#http-headers)

Response messages also contain the content-type and content-length header parameters.

### Funding POST {#funding-post}

#### Request {#request}

**Sandbox URL:** https://sandbox.api.move.mastercard.com/send/static/v1/partners/{partnerId}/transfers/funding  
**MTF URL:** https://sandbox.api.move.mastercard.com/send/v1/partners/{partnerId}/transfers/funding  
**Production URL:** https://api.move.mastercard.com/send/v1/partners/{partnerId}/transfers/funding
* JSON
* XML

```JSON
{
  "funding_transfer": {
    "transfer_reference": "FUNDING_2019021913384745",
    "payment_origination_country": "USA",
    "payment_type": "P2P",
    "amount": "100",
    "currency": "USD",
    "funding_hints": "ucaf:84vdsfu4320ngftn3409823",
    "sender_account_uri": "pan:4007589999999953;exp=2077-08;cvc=123",
    "sender": {
      "first_name": "John",
      "middle_name": "Tyler",
      "last_name": "Jones",
      "nationality": "USA",
      "date_of_birth": "1994-05-21",
      "address": {
        "line1": "21 Broadway",
        "line2": "Apartment A-6",
        "city": "OFallon",
        "country_subdivision": "MO",
        "postal_code": "63368",
        "country": "USA"
      },
      "phone": "11234565555",
      "email": "test123@abcmail.com"
    },
    "recipient_account_uri": "pan:5102589999999988;exp=2077-08;cvc=123",
    "recipient": {
      "first_name": "Jane",
      "middle_name": "Tyler",
      "last_name": "Smith",
      "nationality": "USA",
      "date_of_birth": "1999-12-30",
      "address": {
        "line1": "Main St",
        "line2": "Apartment 9",
        "city": "OFallon",
        "country_subdivision": "MO",
        "postal_code": "63368",
        "country": "USA"
      },
      "phone": "11234567890",
      "email": "test123@abcmail.com"
    },
    "reconciliation_data": {
      "custom_field": [
        {
          "name": "Policy Number",
          "value": "123"
        },
        {
          "name": "Claim number",
          "value": "456"
        },
        {
          "name": "Customer number",
          "value": "789"
        }
      ]
    },
    "statement_descriptor": "RPPU*TEST",
    "channel": "KIOSK",
    "device_id": "DEVICE-1234",
    "location": "state:MO",
    "additional_message": "FundingKIOSK",
    "language_identification": "ENG",
    "language_data": "PAID FOR RENT",
    "participation_id": "P123"
  }
}
```

```XML
<funding_transfer>
    <transfer_reference>FUNDING_20180816114216379</transfer_reference>
    <payment_origination_country>USA</payment_origination_country>
    <payment_type>P2P</payment_type>
    <amount>1100</amount>
    <currency>USD</currency>
    <funding_hints>ucaf:84vdsfu4320ngftn3409823</funding_hints>
    <sender_account_uri>pan:4007589999999953;exp=2077-08;cvc=123</sender_account_uri>
    <sender>
        <first_name>John</first_name>
        <middle_name>Tyler</middle_name>
        <last_name>Jones</last_name>
        <nationality>USA</nationality>
        <date_of_birth>1994-05-21</date_of_birth>
        <address>
            <line1>21 Broadway</line1>
            <line2>Apartment A-6</line2>
            <city>OFallon</city>
            <country_subdivision>MO</country_subdivision>
            <postal_code>63368</postal_code>
            <country>USA</country>
        </address>
        <phone>11234565555</phone>
        <email>test123@abcmail.com</email>
    </sender>
    <recipient_account_uri>pan:5102589999999988;exp=2077-08;cvc=123</recipient_account_uri>
    <recipient>
        <first_name>Jane</first_name>
        <middle_name>Tyler</middle_name>
        <last_name>Smith</last_name>
        <nationality>USA</nationality>
        <date_of_birth>1999-12-30</date_of_birth>
        <address>
            <line1>Main St</line1>
            <line2>Apartment 9</line2>
            <city>OFallon</city>
            <country_subdivision>MO</country_subdivision>
            <postal_code>63368</postal_code>
            <country>USA</country>
        </address>
        <phone>11234567890</phone>
        <email>test123@abcmail.com</email>
    </recipient>
    <reconciliation_data>
        <custom_field>
            <name>Policy Number</name>
            <value>123</value>
        </custom_field>
        <custom_field>
            <name>Claim number</name>
            <value>456</value>
        </custom_field>
        <custom_field>
            <name>Customer number</name>
            <value>789</value>
        </custom_field>
    </reconciliation_data>
    <statement_descriptor>RPPU*TEST</statement_descriptor>
    <channel>KIOSK</channel>
    <device_id>DEVICE-1234</device_id>
    <location>state:MO</location>
    <additional_message>FundingKIOSK</additional_message>
    <language_identification>ENG</language_identification>
    <language_data>PAID FOR RENT</language_data>
    <participation_id>P123</participation_id>
</funding_transfer>
```

#### Response {#response}

* JSON
* XML

```JSON
{
  "transfer": {
    "sender": {
      "address": {
        "line1": "21 Broadway",
        "line2": "Apartment A-6",
        "city": "OFallon",
        "country": "USA",
        "country_subdivision": "MO",
        "postal_code": "63368"
      },
      "phone": "11234565555",
      "email": "test123@abcmail.com",
      "nationality": "USA",
      "first_name": "John",
      "middle_name": "Tyler",
      "last_name": "Jones",
      "date_of_birth": "1994-05-21"
    },
    "recipient": {
      "address": {
        "line1": "Main St",
        "line2": "Apartment 9",
        "city": "OFallon",
        "country": "USA",
        "country_subdivision": "MO",
        "postal_code": "63368"
      },
      "phone": "11234567890",
      "email": "test123@abcmail.com",
      "nationality": "USA",
      "first_name": "Jane",
      "middle_name": "Tyler",
      "last_name": "Smith",
      "date_of_birth": "1999-12-30"
    },
    "created": "2019-09-19T10:50:06-05:00",
    "status": "APPROVED",
    "id": "trn_DHdH4IOaNi66HKalh4IJtpXmd8e8",
    "resource_type": "transfer",
    "transfer_reference": "p2p_156890820444931",
    "payment_type": "P2P",
    "sender_account_uri": "pan:************9953",
    "recipient_account_uri": "pan:************9988",
    "transfer_amount": {
      "value": "100",
      "currency": "USD"
    },
    "transaction_history": {
      "data": {
        "transaction": [
          {
            "network": "MoneySend",
            "type": "FUNDING",
            "id": "txn_PE9_k3V1h-CHEH73M_NkVOnl2C9R",
            "resource_type": "transaction",
            "account_uri": "pan:************9988",
            "transaction_amount": {
              "value": "100",
              "currency": "USD"
            },
            "create_timestamp": "2019-09-19T10:50:06-05:00",
            "status": "APPROVED",
            "status_reason": "APPROVED",
            "status_timestamp": "2019-09-19T10:50:06-05:00",
            "retrieval_reference": "926210605195",
            "system_trace_audit_number": "605195",
            "unique_reference_number": "0000000000612678637",
            "authorization_id": "49DX93"
          }
        ]
      },
      "resource_type": "list",
      "item_count": 1
    },
    "reconciliation_data": {
      "custom_field": [
        {
          "name": "Policy Number",
          "value": "123"
        },
        {
          "name": "Claim number",
          "value": "456"
        },
        {
          "name": "Customer number",
          "value": "789"
        }
      ]
    },
    "statement_descriptor": "RPPU*TEST",
    "channel": "KIOSK",
    "device_id": "DEVICE-1234",
    "location": "state:MO",
    "original_status": "APPROVED",
    "status_timestamp": "2019-09-19T10:50:06-05:00"
  }
}
```

```XML
<transfer>
    <id>trn_8h4me233jk23l6c5lw5f</id>
    <resource_type>transfer</resource_type>
    <transfer_reference>DEF123456</transfer_reference>
    <payment_type>P2P</payment_type>
    <sender_account_uri>pan:************9953</sender_account_uri>
    <sender>
        <first_name>John</first_name>
        <middle_name>Tyler</middle_name>
        <last_name>Jones</last_name>
        <nationality>USA</nationality>
        <date_of_birth>1994-05-21</date_of_birth>
        <address>
            <line1>21 Broadway</line1>
            <line2>Apartment A-6</line2>
            <city>OFallon</city>
            <country_subdivision>MO</country_subdivision>
            <postal_code>63368</postal_code>
            <country>USA</country>
        </address>
        <phone>11234565555</phone>
        <email>test123@abcmail.com</email>
    </sender>
    <recipient_account_uri>pan:************9988</recipient_account_uri>
    <recipient>
        <first_name>Jane</first_name>
        <middle_name>Tyler</middle_name>
        <last_name>Smith</last_name>
        <nationality>USA</nationality>
        <date_of_birth>1999-12-30</date_of_birth>
        <address>
            <line1>1 Main St</line1>
            <line2>Apartment 9</line2>
            <city>OFallon</city>
            <country_subdivision>MO</country_subdivision>
            <postal_code>63368</postal_code>
            <country>USA</country>
        </address>
        <phone>11234567890</phone>
        <email>test123@abcmail.com</email>
    </recipient>
    <transfer_amount>
        <value>1000</value>
        <currency>USD</currency>
    </transfer_amount>
    <created>2019-09-18T14:18:55Z</created>
    <transaction_history>
        <resource_type>list</resource_type>
        <item_count>1</item_count>
        <data>
            <transaction>
                <id>txn_3fd88fc0m2m543rw8</id>
                <resource_type>transaction</resource_type>
                <account_uri>pan:************9988</account_uri>
                <transaction_amount>
                    <value>1000</value>
                    <currency>USD</currency>
                </transaction_amount>
                <network>MasterCard</network>
                <type>FUNDING</type>
                <create_timestamp>2019-09-18T14:18:55Z</create_timestamp>
                <status>APPROVED</status>
                <status_reason>APPROVED</status_reason>
                <status_timestamp>2019-09-18T14:18:56Z</status_timestamp>
                <retrieval_reference>624200192616</retrieval_reference>
                <system_trace_audit_number>926162</system_trace_audit_number>
                <unique_reference_number>0000000000612678637</unique_reference_number>
                <authorization_id>49DX93</authorization_id>
            </transaction>
        </data>
    </transaction_history>
    <reconciliation_data>
        <custom_field>
            <name>Policy Number</name>
            <value>123</value>
        </custom_field>
        <custom_field>
            <name>Claim number</name>
            <value>456</value>
        </custom_field>
        <custom_field>
            <name>Customer number</name>
            <value>789</value>
        </custom_field>
    </reconciliation_data>
    <statement_descriptor>THANKYOU</statement_descriptor>
    <channel>WEB</channel>
    <device_id>DEVICE-1234</device_id>
    <location>state:MO</location>
    <status>APPROVED</status>
    <status_timestamp>2019-09-19T14:18:55Z</status_timestamp>
</transfer>
```

### Funding GET - Retrieve by Transfer ID {#funding-get---retrieve-by-transfer-id}

#### Request {#request-1}

**Sandbox URL:** https://sandbox.api.move.mastercard.com/send/static/v1/partners/{partnerId}/transfers/{transferId}  
**MTF URL:** https://sandbox.api.move.mastercard.com/send/v1/partners/{partnerId}/transfers/{transferId}  
**Production URL:** https://api.move.mastercard.com/send/v1/partners/{partnerId}/transfers/{transferId}

No body

#### Response {#response-1}

* JSON
* XML

```JSON
{
   "id": "trn_8h4me233jk23l6c5lw5f",
   "resource_type": "transfer",
   "transfer_reference": "DEF123456",
   "payment_type": "P2P",
   "sender": {
      "first_name": "John",
      "middle_name": "Tyler",
      "last_name": "Jones",
      "nationality": "USA",
      "date_of_birth": "1994-05-21",
      "address": {
         "line1": "21 Broadway",
         "line2": "Apartment A-6",
         "city": "OFallon",
         "country_subdivision": "MO",
         "postal_code": "63368",
         "country": "USA"
      },
      "phone": "11234565555",
      "email": "test123@abcmail.com"
   },
   "recipient_account_uri": "pan:************9988",
   "recipient": {
      "first_name": "Jane",
      "middle_name": "Tyler",
      "last_name": "Smith",
      "nationality": "USA",
      "date_of_birth": "1999-12-30",
      "address": {
         "line1": "1 Main St",
         "line2": "Apartment 9",
         "city": "OFallon",
         "country_subdivision": "MO",
         "postal_code": "63368",
         "country": "USA"
      },
      "phone": "11234567890",
      "email": "test123@abcmail.com"
   },
   "transfer_amount": {
      "value": "1000",
      "currency": "USD"
   },
   "created": "2019-09-18T14:18:55Z",
   "transaction_history": {
      "resource_type": "list",
      "item_count": "1",
      "data": {
         "transaction": {
            "id": "txn_m2m543rw83fd88fc0",
            "resource_type": "transaction",
            "account_uri": "pan:************9988",
            "transaction_amount": {
               "value": "1000",
               "currency": "USD"
            },
            "network": "MasterCard",
            "network_status_code": "00",
            "network_status_description": "APPROVED OR COMPLETED SUCCESSFULLY",
            "funds_availability": "IMMEDIATE",
            "type": "PAYMENT",
            "create_timestamp": "2019-09-18T14:18:55Z",
            "status": "APPROVED",
            "status_reason": "APPROVED",
            "status_timestamp": "2019-09-18T14:18:56Z",
            "retrieval_reference": "624200192616",
            "system_trace_audit_number": "926162",
            "unique_reference_number": "0000000000612678637",
            "authorization_id": "49DX93"
         }
      }
   },
   "reconciliation_data": [
      {
         "name": "Policy Number",
         "value": "123"
      },
      {
         "name": "Claim number",
         "value": "456"
      },
      {
         "name": "Customer number",
         "value": "789"
      }
   ],
   "statement_descriptor": "THANKYOU",
   "channel": "WEB",
   "device_id": "DEVICE-1234",
   "location": "state:MO",
   "status": "APPROVED",
   "status_timestamp": "2019-09-19T14:18:55Z"
}
```

```XML
<transfer>
    <id>trn_8h4me233jk23l6c5lw5f</id>
    <resource_type>transfer</resource_type>
    <transfer_reference>DEF123456</transfer_reference>
    <payment_type>P2P</payment_type>
    <sender>
        <first_name>John</first_name>
        <middle_name>Tyler</middle_name>
        <last_name>Jones</last_name>
        <nationality>USA</nationality>
        <date_of_birth>1994-05-21</date_of_birth>
        <address>
            <line1>21 Broadway</line1>
            <line2>Apartment A-6</line2>
            <city>OFallon</city>
            <country_subdivision>MO</country_subdivision>
            <postal_code>63368</postal_code>
            <country>USA</country>
        </address>
        <phone>11234565555</phone>
        <email>test123@abcmail.com</email>
    </sender>
    <recipient_account_uri>pan:************9988</recipient_account_uri>
    <recipient>
        <first_name>Jane</first_name>
        <middle_name>Tyler</middle_name>
        <last_name>Smith</last_name>
        <nationality>USA</nationality>
        <date_of_birth>1999-12-30</date_of_birth>
        <address>
            <line1>1 Main St</line1>
            <line2>Apartment 9</line2>
            <city>OFallon</city>
            <country_subdivision>MO</country_subdivision>
            <postal_code>63368</postal_code>
            <country>USA</country>
        </address>
        <phone>11234567890</phone>
        <email>test123@abcmail.com</email>
    </recipient>
    <transfer_amount>
        <value>1000</value>
        <currency>USD</currency>
    </transfer_amount>
    <created>2019-09-18T14:18:55Z</created>
    <transaction_history>
        <resource_type>list</resource_type>
        <item_count>1</item_count>
        <data>
            <transaction>
                <id>txn_m2m543rw83fd88fc0</id>
                <resource_type>transaction</resource_type>
                <account_uri>pan:************9988</account_uri>
                <transaction_amount>
                    <value>1000</value>
                    <currency>USD</currency>
                </transaction_amount>
                <network>MasterCard</network>
                <network_status_code>00</network_status_code>
                <network_status_description>APPROVED OR COMPLETED SUCCESSFULLY</network_status_description>
                <funds_availability>IMMEDIATE</funds_availability>
                <type>PAYMENT</type>
                <create_timestamp>2019-09-18T14:18:55Z</create_timestamp>
                <status>APPROVED</status>
                <status_reason>APPROVED</status_reason>
                <status_timestamp>2019-09-18T14:18:56Z</status_timestamp>
                <retrieval_reference>624200192616</retrieval_reference>
                <system_trace_audit_number>926162</system_trace_audit_number>
                <unique_reference_number>0000000000612678637</unique_reference_number>
                <authorization_id>49DX93</authorization_id>
            </transaction>
        </data>
    </transaction_history>
    <reconciliation_data>
        <custom_field>
            <name>Policy Number</name>
            <value>123</value>
        </custom_field>
        <custom_field>
            <name>Claim number</name>
            <value>456</value>
        </custom_field>
        <custom_field>
            <name>Customer number</name>
            <value>789</value>
        </custom_field>
    </reconciliation_data>
    <statement_descriptor>THANKYOU</statement_descriptor>
    <channel>WEB</channel>
    <device_id>DEVICE-1234</device_id>
    <location>state:MO</location>
    <status>APPROVED</status>
    <status_timestamp>2019-09-19T14:18:55Z</status_timestamp>
</transfer>
```

### Funding GET - Retrieve by Transfer Reference {#funding-get---retrieve-by-transfer-reference}

#### Request {#request-2}

**Sandbox URL:** https://sandbox.api.move.mastercard.com/send/static/v1/partners/{partnerId}/transfers?ref={transfer_reference}  
**MTF URL:** https://sandbox.api.move.mastercard.com/send/v1/partners/{partnerId}/transfers?ref={transfer_reference}  
**Production URL:** https://api.move.mastercard.com/send/v1/partners/{partnerId}/transfers?ref={transfer_reference}

No body

#### Response {#response-2}

* JSON
* XML

```JSON
{
   "resource_type": "list",
   "item_count": "1",
   "transfer": {
      "id": "trn_8h4me233jk23l6c5lw5f",
      "resource_type": "transfer",
      "transfer_reference": "DEF123456",
      "payment_type": "P2P",
      "sender": {
         "first_name": "John",
         "middle_name": "Tyler",
         "last_name": "Jones",
         "nationality": "USA",
         "date_of_birth": "1994-05-21",
         "address": {
            "line1": "21 Broadway",
            "line2": "Apartment A-6",
            "city": "OFallon",
            "country_subdivision": "MO",
            "postal_code": "63368",
            "country": "USA"
         },
         "phone": "11234565555",
         "email": "test123@abcmail.com"
      },
      "recipient_account_uri": "pan:************9988",
      "recipient": {
         "first_name": "Jane",
         "middle_name": "Tyler",
         "last_name": "Smith",
         "nationality": "USA",
         "date_of_birth": "1999-12-30",
         "address": {
            "line1": "1 Main St",
            "line2": "Apartment 9",
            "city": "OFallon",
            "country_subdivision": "MO",
            "postal_code": "63368",
            "country": "USA"
         },
         "phone": "11234567890",
         "email": "test123@abcmail.com"
      },
      "transfer_amount": {
         "value": "1000",
         "currency": "USD"
      },
      "created": "2019-09-18T14:18:55Z",
      "transaction_history": {
         "resource_type": "list",
         "item_count": "1",
         "data": {
            "transaction": {
               "id": "txn_m2m543rw83fd88fc0",
               "resource_type": "transaction",
               "account_uri": "pan:************9988",
               "transaction_amount": {
                  "value": "1000",
                  "currency": "USD"
               },
               "network": "MasterCard",
               "network_status_code": "00",
               "network_status_description": "APPROVED OR COMPLETED SUCCESSFULLY",
               "funds_availability": "IMMEDIATE",
               "type": "PAYMENT",
               "create_timestamp": "2019-09-18T14:18:55Z",
               "status": "APPROVED",
               "status_reason": "APPROVED",
               "status_timestamp": "2019-09-18T14:18:56Z",
               "retrieval_reference": "624200192616",
               "system_trace_audit_number": "926162",
               "unique_reference_number": "0000000000612678637",
               "authorization_id": "49DX93"
            }
         }
      },
      "reconciliation_data": [
         {
            "name": "Policy Number",
            "value": "123"
         },
         {
            "name": "Claim number",
            "value": "456"
         },
         {
            "name": "Customer number",
            "value": "789"
         }
      ],
      "statement_descriptor": "THANKYOU",
      "channel": "WEB",
      "device_id": "DEVICE-1234",
      "location": "state:MO",
      "status": "APPROVED",
      "status_timestamp": "2019-09-19T14:18:55Z"
   }
}
```

```XML
<transfers>
    <resource_type>list</resource_type>
    <item_count>1</item_count>
    <transfer>
        <id>trn_8h4me233jk23l6c5lw5f</id>
        <resource_type>transfer</resource_type>
        <transfer_reference>DEF123456</transfer_reference>
        <payment_type>P2P</payment_type>
        <sender>
            <first_name>John</first_name>
            <middle_name>Tyler</middle_name>
            <last_name>Jones</last_name>
            <nationality>USA</nationality>
            <date_of_birth>1994-05-21</date_of_birth>
            <address>
                <line1>21 Broadway</line1>
                <line2>Apartment A-6</line2>
                <city>OFallon</city>
                <country_subdivision>MO</country_subdivision>
                <postal_code>63368</postal_code>
                <country>USA</country>
            </address>
            <phone>11234565555</phone>
            <email>test123@abcmail.com</email>
        </sender>
        <recipient_account_uri>pan:************9988</recipient_account_uri>
        <recipient>
            <first_name>Jane</first_name>
            <middle_name>Tyler</middle_name>
            <last_name>Smith</last_name>
            <nationality>USA</nationality>
            <date_of_birth>1999-12-30</date_of_birth>
            <address>
                <line1>1 Main St</line1>
                <line2>Apartment 9</line2>
                <city>OFallon</city>
                <country_subdivision>MO</country_subdivision>
                <postal_code>63368</postal_code>
                <country>USA</country>
            </address>
            <phone>11234567890</phone>
            <email>test123@abcmail.com</email>
        </recipient>
        <transfer_amount>
            <value>1000</value>
            <currency>USD</currency>
        </transfer_amount>
        <created>2019-09-18T14:18:55Z</created>
        <transaction_history>
            <resource_type>list</resource_type>
            <item_count>1</item_count>
            <data>
                <transaction>
                    <id>txn_m2m543rw83fd88fc0</id>
                    <resource_type>transaction</resource_type>
                    <account_uri>pan:************9988</account_uri>
                    <transaction_amount>
                        <value>1000</value>
                        <currency>USD</currency>
                    </transaction_amount>
                    <network>MasterCard</network>
                    <network_status_code>00</network_status_code>
                    <network_status_description>APPROVED OR COMPLETED SUCCESSFULLY</network_status_description>
                    <funds_availability>IMMEDIATE</funds_availability>
                    <type>PAYMENT</type>
                    <create_timestamp>2019-09-18T14:18:55Z</create_timestamp>
                    <status>APPROVED</status>
                    <status_reason>APPROVED</status_reason>
                    <status_timestamp>2019-09-18T14:18:56Z</status_timestamp>
                    <retrieval_reference>624200192616</retrieval_reference>
                    <system_trace_audit_number>926162</system_trace_audit_number>
                    <unique_reference_number>0000000000612678637</unique_reference_number>
                    <authorization_id>49DX93</authorization_id>
                </transaction>
            </data>
        </transaction_history>
        <reconciliation_data>
            <custom_field>
                <name>Policy Number</name>
                <value>123</value>
            </custom_field>
            <custom_field>
                <name>Claim number</name>
                <value>456</value>
            </custom_field>
            <custom_field>
                <name>Customer number</name>
                <value>789</value>
            </custom_field>
        </reconciliation_data>
        <statement_descriptor>THANKYOU</statement_descriptor>
        <channel>WEB</channel>
        <device_id>DEVICE-1234</device_id>
        <location>state:MO</location>
        <status>APPROVED</status>
        <status_timestamp>2019-09-19T14:18:55Z</status_timestamp>
    </transfer>
</transfers>
```

### Funding Reversal POST {#funding-reversal-post}

#### Request {#request-3}

**Sandbox URL:** https://sandbox.api.move.mastercard.com/send/static/v1/partners/{partnerId}/transfers/{transferId}/transactions/{transactionId}/reversals  
**MTF URL:** https://sandbox.api.move.mastercard.com/send/v1/partners/{partnerId}/transfers/{transferId}/transactions/{transactionId}/reversals  
**Production URL:** https://api.move.mastercard.com/send/v1/partners/{partnerId}/transfers/{transferId}/transactions/{transactionId}/reversals
* JSON
* XML

```JSON
{
   "funding_reversal": {
      "reversal_reason": "Incorrect Amount"
   }
}
```

```XML
<funding_reversal>
    <reversal_reason>Incorrect Amount</reversal_reason>
</funding_reversal>
```

#### Response {#response-3}

* JSON
* XML

```JSON
{
   "id": "trn_9abcd233jk23l6c5lw5f",
   "resource_type": "transfer",
   "transfer_reference": "DEF123456",
   "payment_type": "P2P",
   "sender_account_uri": "pan:************9953",
   "sender": {
      "first_name": "John",
      "middle_name": "Tyler",
      "last_name": "Jones",
      "nationality": "USA",
      "date_of_birth": "1994-05-21",
      "address": {
         "line1": "21 Broadway",
         "line2": "Apartment A-6",
         "city": "OFallon",
         "country_subdivision": "MO",
         "postal_code": "63368",
         "country": "USA"
      },
      "phone": "11234565555",
      "email": "test123@abcmail.com"
   },
   "recipient": {
      "first_name": "Jane",
      "middle_name": "Tyler",
      "last_name": "Smith",
      "nationality": "USA",
      "date_of_birth": "1999-12-30",
      "address": {
         "line1": "1 Main St",
         "line2": "Apartment 9",
         "city": "OFallon",
         "country_subdivision": "MO",
         "postal_code": "63368",
         "country": "USA"
      },
      "phone": "11234567890",
      "email": "test123@abcmail.com"
   },
   "transfer_amount": {
      "value": "1000",
      "currency": "USD"
   },
   "created": "2019-09-18T14:18:55Z",
   "transaction_history": {
      "resource_type": "list",
      "item_count": "2",
      "data": [
         {
            "id": "txn_3fd88fc0m2m543rw8",
            "resource_type": "transaction",
            "account_uri": "pan:************9988",
            "transaction_amount": {
               "value": "1000",
               "currency": "USD"
            },
            "network": "MasterCard",
            "network_status_code": "00",
            "network_status_description": "APPROVED OR COMPLETED SUCCESSFULLY",
            "type": "FUNDING",
            "create_timestamp": "2019-09-17T14:18:55Z",
            "status": "APPROVED",
            "status_reason": "APPROVED",
            "status_timestamp": "2019-09-17T14:18:56Z",
            "retrieval_reference": "624200192616",
            "system_trace_audit_number": "926162",
            "unique_reference_number": "0000000000612678637",
            "authorization_id": "49DX93"
         },
         {
            "id": "txn_4fd88fc0m2m543rw9",
            "resource_type": "transaction",
            "account_uri": "pan:************9988",
            "transaction_amount": {
               "value": "1000",
               "currency": "USD"
            },
            "network": "MasterCard",
            "network_status_code": "00",
            "network_status_description": "APPROVED OR COMPLETED SUCCESSFULLY",
            "type": "FUNDING_REVERSAL",
            "create_timestamp": "2019-09-18T14:18:55Z",
            "status": "APPROVED",
            "status_reason": "APPROVED",
            "status_timestamp": "2019-09-18T14:18:56Z",
            "retrieval_reference": "624200192616",
            "system_trace_audit_number": "926162",
            "unique_reference_number": "0000000000612678637",
            "authorization_id": "49DX93"
         }
      ]
   },
   "reconciliation_data": [
      {
         "name": "Policy Number",
         "value": "123"
      },
      {
         "name": "Claim number",
         "value": "456"
      },
      {
         "name": "Customer number",
         "value": "789"
      }
   ],
   "statement_descriptor": "THANKYOU",
   "channel": "WEB",
   "device_id": "DEVICE-1234",
   "location": "state:MO",
   "status": "REVERSED",
   "status_timestamp": "2019-09-19T14:18:55Z"
}
```

```XML
<transfer>
    <id>trn_9abcd233jk23l6c5lw5f</id>
    <resource_type>transfer</resource_type>
    <transfer_reference>DEF123456</transfer_reference>
    <payment_type>P2P</payment_type>
    <sender_account_uri>pan:************9953</sender_account_uri>
    <sender>
        <first_name>John</first_name>
        <middle_name>Tyler</middle_name>
        <last_name>Jones</last_name>
        <nationality>USA</nationality>
        <date_of_birth>1994-05-21</date_of_birth>
        <address>
            <line1>21 Broadway</line1>
            <line2>Apartment A-6</line2>
            <city>OFallon</city>
            <country_subdivision>MO</country_subdivision>
            <postal_code>63368</postal_code>
            <country>USA</country>
        </address>
        <phone>11234565555</phone>
        <email>test123@abcmail.com</email>
    </sender>
    <recipient>
        <first_name>Jane</first_name>
        <middle_name>Tyler</middle_name>
        <last_name>Smith</last_name>
        <nationality>USA</nationality>
        <date_of_birth>1999-12-30</date_of_birth>
        <address>
            <line1>1 Main St</line1>
            <line2>Apartment 9</line2>
            <city>OFallon</city>
            <country_subdivision>MO</country_subdivision>
            <postal_code>63368</postal_code>
            <country>USA</country>
        </address>
        <phone>11234567890</phone>
        <email>test123@abcmail.com</email>
    </recipient>
    <transfer_amount>
        <value>1000</value>
        <currency>USD</currency>
    </transfer_amount>
    <created>2019-09-18T14:18:55Z</created>
    <transaction_history>
        <resource_type>list</resource_type>
        <item_count>2</item_count>
        <data>
            <transaction>
                <id>txn_3fd88fc0m2m543rw8</id>
                <resource_type>transaction</resource_type>
                <account_uri>pan:************9988</account_uri>
                <transaction_amount>
                    <value>1000</value>
                    <currency>USD</currency>
                </transaction_amount>
                <network>MasterCard</network>
                <network_status_code>00</network_status_code>
                <network_status_description>APPROVED OR COMPLETED SUCCESSFULLY</network_status_description>
                <type>FUNDING</type>
                <create_timestamp>2019-09-17T14:18:55Z</create_timestamp>
                <status>APPROVED</status>
                <status_reason>APPROVED</status_reason>
                <status_timestamp>2019-09-17T14:18:56Z</status_timestamp>
                <retrieval_reference>624200192616</retrieval_reference>
                <system_trace_audit_number>926162</system_trace_audit_number>
                <unique_reference_number>0000000000612678637</unique_reference_number>
                <authorization_id>49DX93</authorization_id>
            </transaction>
            <transaction>
                <id>txn_4fd88fc0m2m543rw9</id>
                <resource_type>transaction</resource_type>
                <account_uri>pan:************9988</account_uri>
                <transaction_amount>
                    <value>1000</value>
                    <currency>USD</currency>
                </transaction_amount>
                <network>MasterCard</network>
                <network_status_code>00</network_status_code>
                <network_status_description>APPROVED OR COMPLETED SUCCESSFULLY</network_status_description>
                <type>FUNDING_REVERSAL</type>
                <create_timestamp>2019-09-18T14:18:55Z</create_timestamp>
                <status>APPROVED</status>
                <status_reason>APPROVED</status_reason>
                <status_timestamp>2019-09-18T14:18:56Z</status_timestamp>
                <retrieval_reference>624200192616</retrieval_reference>
                <system_trace_audit_number>926162</system_trace_audit_number>
                <unique_reference_number>0000000000612678637</unique_reference_number>
                <authorization_id>49DX93</authorization_id>
            </transaction>
        </data>
    </transaction_history>
     <reconciliation_data>
        <custom_field>
            <name>Policy Number</name>
            <value>123</value>
        </custom_field>
        <custom_field>
            <name>Claim number</name>
            <value>456</value>
        </custom_field>
        <custom_field>
            <name>Customer number</name>
            <value>789</value>
        </custom_field>
    </reconciliation_data>
    <statement_descriptor>THANKYOU</statement_descriptor>
    <channel>WEB</channel>
    <device_id>DEVICE-1234</device_id>
    <location>state:MO</location>
    <status>REVERSED</status>
    <status_timestamp>2019-09-19T14:18:55Z</status_timestamp>
</transfer>
```

